org.apache.hadoop.hdfs.qjournal.server

## Interface JournalNodeMXBean

-     @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public interface JournalNodeMXBean

  This is the JMX management interface for JournalNode information

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getJournalsStatus()` Get status information (e.g., whether formatted) of JournalNode's journals.

- - ### Method Detail

    - #### getJournalsStatus

          String getJournalsStatus()

      Get status information (e.g., whether formatted) of JournalNode's journals.
      Returns:
        A string presenting status for each journal

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.